Bug 22850 - SharedContent.t wrongly use ->set_userenv
Summary: SharedContent.t wrongly use ->set_userenv
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Chris Cormack
QA Contact: Testopia
URL:
Keywords:
Depends on: 17047 21817
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-04 16:23 UTC by Jonathan Druart
Modified: 2019-05-30 07:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22850: Do no longer use set_userenv in tests (SharedContent.t) (2.92 KB, patch)
2019-05-04 16:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22850: Do no longer use set_userenv in tests (SharedContent.t) (2.96 KB, patch)
2019-05-11 02:10 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22850: Do no longer use set_userenv in tests (SharedContent.t) (3.02 KB, patch)
2019-05-11 16:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-05-04 16:23:51 UTC
t/db_dependent/Koha/SharedContent.t:C4::Context->set_userenv(0,0,0,

->set_userenv should no longer be used in tests. See bug 21817.
Comment 1 Jonathan Druart 2019-05-04 16:32:18 UTC
Created attachment 89353 [details] [review]
Bug 22850: Do no longer use set_userenv in tests (SharedContent.t)

Since bug 21817 we should use the mock_userenv subroutine instead.

Test plan:
The tests must pass after this patch
Comment 2 Liz Rea 2019-05-11 02:10:42 UTC
Created attachment 89578 [details] [review]
Bug 22850: Do no longer use set_userenv in tests (SharedContent.t)

Since bug 21817 we should use the mock_userenv subroutine instead.

Test plan:
The tests must pass after this patch

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-05-11 16:22:38 UTC
Created attachment 89613 [details] [review]
Bug 22850: Do no longer use set_userenv in tests (SharedContent.t)

Since bug 21817 we should use the mock_userenv subroutine instead.

Test plan:
The tests must pass after this patch

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-05-15 12:17:18 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-05-30 07:13:50 UTC
Test not in 18.11.x series.